org.apache.torque.generator.configuration.controller

## Class OutputSaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.torque.generator.configuration.controller.OutputSaxHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler

      public class OutputSaxHandler
      extends DefaultHandler

  Reads an output declaration from the controller configuration file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputSaxHandler(ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(String uri, String localName, String rawName)`
    `Output` | `getOutputFile()` Returns the Configuration filled with the contents of the parsed snippet.
    `void` | `startElement(String uri, String localName, String rawName, Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputSaxHandler

          public OutputSaxHandler(ConfigurationProvider configurationProvider,
                                  UnitDescriptor unitDescriptor,
                                  ConfigurationHandlers configurationHandlers)

      Constructor.
      Parameters:
        `configurationProvider` - The access object for the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - handlers for reading the configuration.
      Throws:
        `NullPointerException` - if an argument is null.

  - ### Method Detail

    - #### getOutputFile

          public Output getOutputFile()

      Returns the Configuration filled with the contents of the parsed snippet.
      Returns:
        the configuration representing the parsed snippet. Not null if the mathcing xml snippet was parsed.

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String rawName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String rawName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `DefaultHandler`
      Throws:
        `SAXException`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.